package com.njyunzhi.pet_identity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 我的申请
 * </p>
 *
 * @author yansen
 * @since 2022-05-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaApplication对象", description="我的申请")
public class TaApplication implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "申请ID")
    @TableId(value = "apply_id", type = IdType.AUTO)
    private Integer applyId ;
    /** 申请类型 */
    @ApiModelProperty(value = "申请类型;first申请,reissue补办,renewal续期",notes = "")
    private String applyType ;
    /** 申请人 */
    @ApiModelProperty(value = "申请人",notes = "")
    private String personId ;
    /** 申请人姓名;冗余 */
    @ApiModelProperty(value = "申请人姓名",notes = "冗余")
    private String personName ;
    /** 申请人手机;冗余 */
    @ApiModelProperty(value = "申请人手机",notes = "冗余")
    private String phone ;
    /** 原始证件 */
    @ApiModelProperty(value = "原始证件",notes = "")
    private String originCardNo ;
    /** 证件有效期 */
    @ApiModelProperty(value = "证件有效期",notes = "")
    private LocalDateTime cardExpireDate ;
    /** 宠物ID */
    @ApiModelProperty(value = "宠物ID",notes = "")
    private String petId ;
    /** 宠物名称 */
    @ApiModelProperty(value = "宠物名称",notes = "")
    private String petName ;
    /** 性别 */
    @ApiModelProperty(value = "性别",notes = "")
    private Integer petSex ;
    /** 生日 */
    @ApiModelProperty(value = "生日",notes = "")
    private String petBirthday ;
    /** 类别 */
    @ApiModelProperty(value = "类别",notes = "")
    private String petType ;
    /** 毛色 */
    @ApiModelProperty(value = "毛色",notes = "")
    private String petColor ;
    /** 免疫证明 */
    @ApiModelProperty(value = "免疫证图",notes = "")
    private String immunizationImg ;
    /** 免疫证明 */
    @ApiModelProperty(value = "免疫证号",notes = "")
    private String immunizationCode ;
    /** 免疫证明 */
    @ApiModelProperty(value = "最近免疫日期",notes = "")
    private String immunizationDate ;
    /** 宠养区域 */
    @ApiModelProperty(value = "宠养区域",notes = "")
    private String areaCode ;
    /** 详细地址 */
    @ApiModelProperty(value = "详细地址",notes = "")
    private String address ;
    /** 宠物照片 */
    @ApiModelProperty(value = "宠物照片",notes = "")
    private String img1 ;
    /** 图片2 */
    @ApiModelProperty(value = "图片2",notes = "")
    private String img2 ;
    /** 申领方式;1自提,2快递 */
    @ApiModelProperty(value = "申领方式",notes = "1自提,2快递")
    private Integer applyMethod ;
    /** 付款状态;0未支付,1已支付 */
    @ApiModelProperty(value = "付款状态",notes = "0未支付,1支付中,2已支付")
    private Integer payStatus ;
    /** 状态 */
    @ApiModelProperty(value = "状态",notes = "")
    private Integer status ;
    /** 申请时间 */
    @ApiModelProperty(value = "申请时间",notes = "")
    private LocalDateTime createDate ;
    /** 申请状态;0未审核,1通过,2未通过 */
    @ApiModelProperty(value = "申请状态",notes = "0未审核,1通过,2未通过")
    private Integer verifyStatus ;
    /** 审核时间 */
    @ApiModelProperty(value = "审核时间",notes = "")
    private LocalDateTime verifyDate ;
    /** 审核人 */
    @ApiModelProperty(value = "审核人",notes = "")
    private String verifyUser ;
    /** 审核人姓名;冗余 */
    @ApiModelProperty(value = "审核人姓名",notes = "冗余")
    private String verifyUserName ;
    /** 驳回原因 */
    @ApiModelProperty(value = "驳回原因",notes = "")
    private String rejectReason ;
    /** 制证状态;0待发放,1已发放 */
    @ApiModelProperty(value = "制证状态",notes = "0待发放,1已发放")
    private Integer makeStatus ;
    /** 发证人 */
    @ApiModelProperty(value = "发证人",notes = "")
    private String makeUser ;
    /** 发证人姓名;冗余 */
    @ApiModelProperty(value = "发证人姓名",notes = "冗余")
    private String makeUserName ;
    /** 发放时间 */
    @ApiModelProperty(value = "发放时间",notes = "")
    private LocalDateTime makeDate ;
    /** 快递名称 */
    @ApiModelProperty(value = "快递名称",notes = "")
    private String trackingType ;
    /** 快递单号 */
    @ApiModelProperty(value = "快递单号",notes = "")
    private String trackingNo ;

}
