package com.njyunzhi.pet_identity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 小程序码
 * </p>
 *
 * @author yansen
 * @since 2022-05-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaMiniappQrcode对象", description="小程序码")
public class TaMiniappQrcode implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "小程序码ID")
    @TableId(value = "qr_id", type = IdType.INPUT)
    private Integer qrId;

    @ApiModelProperty(value = "小程序ID")
    private String miniappId;

    @ApiModelProperty(value = "图片地址")
    private String qrImage;

    @ApiModelProperty(value = "页面地址")
    private String page;

    @ApiModelProperty(value = "页面参数")
    private String scene;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;


}
